Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core
Interface WorkflowProcess

All Superinterfaces:
  ContextContainer, KieDefinition, NodeContainer, Process, WorkflowProcess

    public interface WorkflowProcess

extends WorkflowProcess, Process, NodeContainer

Represents a RuleFlow process.

Nested Class Summary

Nested classes/interfaces inherited from interface org.kie.api.definition.KieDefinition
`KieDefinition.KnowledgeType`

Method Summary
`List<String>` | `getFunctionImports()` Returns the function imports of this RuleFlow process.
`String[]` | `getGlobalNames()` Returns the names of the globals used in this RuleFlow process
`Map<String,String>` | `getGlobals()` Returns the globals of this RuleFlow process.
`List<String>` | `getImports()` Returns the imports of this RuleFlow process.
`boolean` | `isAutoComplete()` Returns whether this process will automatically complete if it contains no active node instances anymore
`boolean` | `isDynamic()`
`void` | `setFunctionImports(List<String> functionImports)` Sets the imports of this RuleFlow process
`void` | `setGlobals(Map<String,String> globals)` Sets the imports of this RuleFlow process
`void` | `setImports(List<String> imports)` Sets the imports of this RuleFlow process

Methods inherited from interface org.jbpm.process.core.Process
`setId, setMetaData, setName, setPackageName, setType, setVersion`

Methods inherited from interface org.kie.api.definition.process.Process
`getId, getMetaData, getName, getPackageName, getResource, getType, getVersion, setResource`

Methods inherited from interface org.kie.api.definition.KieDefinition
`getKnowledgeType, getNamespace`

Methods inherited from interface org.jbpm.process.core.ContextContainer
`addContext, getContext, getContexts, getDefaultContext, setDefaultContext`

Methods inherited from interface org.jbpm.workflow.core.NodeContainer
`addNode, internalGetNode, removeNode, resolveContext`

Methods inherited from interface org.kie.api.definition.process.NodeContainer
`getNode, getNodes`

Method Detail

### getImports

    List<String> getImports()

  Returns the imports of this RuleFlow process. They are defined as a List of fully qualified class names.

  Returns:
    the imports of this RuleFlow process

### getFunctionImports

    List<String> getFunctionImports()

  Returns the function imports of this RuleFlow process. They are defined as a List of fully qualified class names.

  Returns:
    the function imports of this RuleFlow process

### setImports

    void setImports(List<String> imports)

  Sets the imports of this RuleFlow process

  Parameters:
    `imports` - the imports as a List of fully qualified class names

### setFunctionImports

    void setFunctionImports(List<String> functionImports)

  Sets the imports of this RuleFlow process

  Parameters:
    `functionImports` - the imports as a List of fully qualified class names

### getGlobals

    Map<String,String> getGlobals()

  Returns the globals of this RuleFlow process. They are defined as a Map with the name as key and the type as value.

  Returns:
    the imports of this RuleFlow process

### setGlobals

    void setGlobals(Map<String,String> globals)

  Sets the imports of this RuleFlow process

  Parameters:
    `globals` - the globals as a Map with the name as key and the type as value

### getGlobalNames

    String[] getGlobalNames()

  Returns the names of the globals used in this RuleFlow process

  Returns:
    the names of the globals of this RuleFlow process

### isAutoComplete

    boolean isAutoComplete()

  Returns whether this process will automatically complete if it contains no active node instances anymore

  Returns:
    the names of the globals of this RuleFlow process

### isDynamic

    boolean isDynamic()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.